"use strict";
this.name        = "NG worldscript events";
this.author	 = "Lone_Wolf";
this.copyright	 = "2015 Lone_Wolf";
this.licence     = "CC-by-SA 4.0";
this.description = "Naval Grid worldscript event handlers";
this.version	 = "1.11";

this.startUpComplete = function()
  {
    if ( worldScripts["Naval Grid"].startUpComplete ) { worldScripts["Naval Grid"].startUpComplete(); };
  };

this.playerBoughtEquipment = function(equipmentKey)
  {
    switch (equipmentKey)
      {
        case "EQ_ENERGY_GRID":
          worldScripts["Naval Grid"]._ng_switch_max = 0.5;
          worldScripts["Naval Grid"]._ng_setup_handlers();
          break;
        case "EQ_NAVAL_GRID":
          worldScripts["Naval Grid"]._ng_switch_max = 0.9;
          break;
        case "EQ_SELL_ENERGY_GRID":
          worldScripts["Naval Grid"]._ng_player_modifiers( "revert");
          worldScripts["Naval Grid"]._ng_switch_max=0;
          player.credits += 1000;
        default:
          break;
      };
  };  
 
this.equipmentDamaged = function(equipmentKey)
  {
    switch (equipmentKey)
      {
        case "EQ_ENERGY_GRID":
          worldScripts["Naval Grid"]._ng_player_modifiers( "revert");
          worldScripts["Naval Grid"]._ng_switch_max=0;
          break;
        case "EQ_NAVAL_GRID":
          worldScripts["Naval Grid"]._ng_player_modifiers( "revert");
          worldScripts["Naval Grid"]._ng_switch_max=0;
          break;
        default:
          break;
      };
  };  

this.equipmentRepaired = function(equipmentKey)
  {
    switch (equipmentKey)
      {
        case "EQ_ENERGY_GRID":
          worldScripts["Naval Grid"]._ng_switch_max= 0.5;
          worldScripts["Naval Grid"]._ng_player_modifiers( "apply");
        case "EQ_NAVAL_GRID":
          worldScripts["Naval Grid"]._ng_switch_max= 0.9;
          worldScripts["Naval Grid"]._ng_player_modifiers( "apply");
          break;
        default:
          break;
      };
  };  
